import scala.concurrent._
import scala.concurrent.duration._
import ExecutionContext.Implicits.global
import scala.language.postfixOps 

lazy val f = Future {
assert(C1.last_odd(113) == 85)
assert(C1.last_odd(84) == 21)
assert(C1.last_odd(605) == 341)
}

Await.result(f, 32 second)
